/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.data.engine.renderer;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Gabriel Albuquerque
 */
@ProviderType
public interface DataLayoutRenderer {

	public String render(
			Long dataLayoutId,
			DataLayoutRendererContext dataLayoutRendererContext)
		throws Exception;

	/**
	 * @deprecated As of Mueller (7.2.x), see {@link
	 *             DataLayoutRenderer#render(Long, DataLayoutRendererContext)}
	 */
	@Deprecated
	public default String render(
			Long dataLayoutId, Map<String, Object> dataRecordValues,
			HttpServletRequest httpServletRequest,
			HttpServletResponse httpServletResponse)
		throws Exception {

		DataLayoutRendererContext dataLayoutRendererContext =
			new DataLayoutRendererContext();

		dataLayoutRendererContext.setDataRecordValues(dataRecordValues);
		dataLayoutRendererContext.setHttpServletRequest(httpServletRequest);
		dataLayoutRendererContext.setHttpServletResponse(httpServletResponse);

		return render(dataLayoutId, dataLayoutRendererContext);
	}

}